Bug 519284 - Tried to install Fedora 11 - i686 - LiveCD to disk. The error happened when anaconda was looking for storage devices.
Summary: Tried to install Fedora 11 - i686 - LiveCD to disk. The error happened when a...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:c4070fdca784ca02d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 21:53 UTC by Oystein Thorsen
Modified: 2009-09-08 13:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 13:40:32 UTC
Type: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (58.87 KB, text/plain)
2009-08-25 21:53 UTC, Oystein Thorsen
no flags Details

Description Oystein Thorsen 2009-08-25 21:53:09 UTC
The following was filed automatically by anaconda:
anaconda 11.5.0.59-1.fc11 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 947, in __init__
    raise DeviceError("cannot find parted partition instance", self.path)
  File "/usr/lib/anaconda/storage/devicetree.py", line 960, in addUdevDMDevice
    exists=True, parents=[disk])
  File "/usr/lib/anaconda/storage/devicetree.py", line 1166, in addUdevDevice
    device = self.addUdevDMDevice(info)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1691, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 302, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 73, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
DeviceError: ('cannot find parted partition instance', '/dev/mapper/sil_ajaidgdcccdep1')

Comment 1 Oystein Thorsen 2009-08-25 21:53:18 UTC
Created attachment 358643 [details]
Attached traceback automatically from anaconda.

Comment 2 Oystein Thorsen 2009-08-25 22:02:45 UTC
Just as a side-note: I have tried (with limited success) to install Fedora 11 on this system from a regular install DVD (and network install CD). The installation is successful, but grub cannot find the boot partition when restarting for the first time. In fact, it cannot find any partitions. But when I use the install DVD to enter rescue mode I can mount the installation with no errors.

The system is set up with 4 drives, 2 ATA drives connected to the motherboards controller and 2 SATA drives connected to an added SATA controller (can't remember the name of the card right now...).

Please let me know of additional info required.

Comment 3 Chris Lumens 2009-08-26 15:31:57 UTC
Do you have a RAID controller enabled in your BIOS somehow, or perhaps RAID metadata still on the hard drives?

Comment 4 Oystein Thorsen 2009-08-26 18:45:05 UTC
(In reply to comment #3)
> Do you have a RAID controller enabled in your BIOS somehow, or perhaps RAID
> metadata still on the hard drives?  

The SATA RAID controller card has its own menu that shows up after the BIOS. The two drives connected to the RAID controller is combined into one RAID-0 "drive" called sil_(and some random characters). This raid partition does show up in the boot order in the BIOS.

The idea is to mount the RAID partition as "/storage", either at install time (which has worked fine during regular installation) or after installation.

I guess I can try to disable the controller, but it has to be enabled again at some point... I just thought the installer should be able to handle it...

(Sorry for the vague answer, I'm just not too familiar with this stuff.)

Comment 5 Oystein Thorsen 2009-08-26 23:40:11 UTC
A very similar error shows up with the regular DVD install (not LiveCD) if I remove all RAID partitions in the RAID "BIOS" menu.

Comment 6 Joel Andres Granados 2009-09-02 09:35:30 UTC
On install, go to tty2 and past the output of the following commands:
`parted /dev/mapper/sil_ajaidgdcccde print free`
`dmraid -s -vvv`

Also, can you pls test with f12 alpha or latest rawhide.

Comment 7 Oystein Thorsen 2009-09-03 04:24:09 UTC
Sorry, I already completed the install and don't really want to do it again :-).

As explained before, I only tried this because a regular install did not work. Even after I got the Live CD install to work the boot problem still persisted.

The boot problem turned out to be about ext4 (or grub not finding my ext3 boot partition). A regular install with a root partition with an ext3 filesystem worked fine.

The problem with the installation was a result of me trying out random things to fix the grub/boot issue. A re-format and proper setup of a raid device in the bios raid menu made this error go away. 

My guess (and your guess) is that there is some meta data on the drive that the installation can't figure out. (A similar error showed up when I set up LVM, removed a drive, and restarted the installation.)

Shouldn't there be an option in the installer just to wipe everything on a drive? It's not very helpful or user-friendly to only allow a user to exit the installer....

Comment 8 Joel Andres Granados 2009-09-08 13:40:32 UTC
(In reply to comment #7)
> Sorry, I already completed the install and don't really want to do it again
> :-).
> 

That is a shame....

> Shouldn't there be an option in the installer just to wipe everything on a
> drive? It's not very helpful or user-friendly to only allow a user to exit the
> installer....  

The installer does allow this.  "Use entire drive" is the partition option that you are looking for.  Additionally, you can customize and erase stuff as needed.  The issue here is that, maybe, the metadata previously on the drives causes a traceback.  That means that the installer ends up in a state that we did not expect and there for do not have a user-friendly answer :).

I'm closing this as there is no possibility of getting more info.  Feel free to reopen if you have the infor asked for in comment #6


Note You need to log in before you can comment on or make changes to this bug.